package com.its.web.dto.admin;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("TB_WWW_MEMBER DTO(관리자 정보 DTO)")
public class TbWwwMemberDto{

    @ApiModelProperty("이메일주소")
    @JsonProperty("email")
    private String email;   //VARCHAR(50)	N

    @ApiModelProperty("웹 사용자 이름")
    @JsonProperty("member_nm")
    private String memberNm;   //VARCHAR(30)	Y

    @ApiModelProperty("비밀번호")
    @JsonProperty("pwd")
    private String pwd;     //VARCHAR(100)	Y

    @ApiModelProperty("연락처")
    @JsonProperty("contact_num")
    private String contactNum; //VARCHAR(30)	Y

    @ApiModelProperty("권한등급")
    @JsonProperty("user_auth")
    private String userAuth;   //VARCHAR(3)	Y

    @ApiModelProperty("비밀번호힌트질문('HNT')")
    @JsonProperty("hint_ques")
    private String hintQues;   //VARCHAR(7)	Y

    @ApiModelProperty("비밀번호힌트질문답")
    @JsonProperty("hint_ans")
    private String hintAns;	//VARCHAR(100)

    @ApiModelProperty("로그인 실패 횟수")
    @JsonProperty("login_fail_count")
    private int loginFailCount;	//NUMBER(2)

    @ApiModelProperty("계정잠금여부(Y:계정잠김)")
    @JsonProperty("is_account_lock")
    private String isAccountLock;	//CHAR(1)

    @ApiModelProperty("관리자계정접속가능아이피(*:모두가능)")
    @JsonProperty("ip_address")
    private String ipAddress;	//VARCHAR(200)

    @ApiModelProperty("등록일시")
    @JsonProperty("reg_dt")
    private String regDt;	//VARCHAR(14)

    @ApiModelProperty("삭제 여부")
    @JsonProperty("del_yn")
    private String delYn;	//CHAR(1)

}
